Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024684
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2013-09-04 09:592013-11-05 12:18
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0MP28
StatusclosedFix in branchFixed in SCM revisionf497677fd0d9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todbaz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024684: Double DataSource request when there is grid configuration

DescriptionDouble request to DataSource is performed when opening the window when there is a grid configuration in root tab that modifies the default order by.

In addition, the grid is loaded first in with the Standard view and after it is rendered, customized grid is applied resulting in a blink in the GUI.
Steps To ReproduceIn a professional instance

 -Open Sales Order window in grid view
 -Sort by Order Date column
 -Move Order Date column to the first position in grid
 -Remove all the columns in grid but Order Date and Document No.
 -Close Sales Order window
 -Reopen it having Developer's Tools Network tab open
   -> Notice how first time grid is opened showing all columns in the Standard view and sorting by Document No column (default one), after that grid is rerendered hidding the rest of the columns and sorting properly
   -> See there are two request to Order datasorce
Proposed SolutionEven grid configuration is stored locally in the client, it is applied after creating the view with its standard visualization. In case of grid configuration, it should be applied when creating the view.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024686 closedalostale Grid configuration not saved if the only config is different sorting 
related to design defect 0024687 closeddbaz Double DataSource request when there using a saved view 
related to defect 00251193.0MP30 closedalostale Problem with grid configuration and field grouping 
related to defect 00271573.0PR14Q4 closedAugustoMauch summary functions in saved view/grid config cause several requests 

-  Notes
(0060906)
alostale (developer)
2013-09-04 10:10

Executed test cases:

- Following steps to reproduce in this issue, a single request is performed
- When there is a grid configuration and toolbar's view's menu is open, Standard View is not selected
- Saved views still work as before the fix
- Grid configuration is only applied in professional instances
(0060907)
hgbot (developer)
2013-09-04 10:14

Repository: erp/devel/pi
Changeset: f497677fd0d957afd9b2c9ee51488a82fdb04667
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Sep 04 10:14:05 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f497677fd0d957afd9b2c9ee51488a82fdb04667 [^]

fixed bug 24684: Double DataSource request when there is grid configuration

  viewState (grid configuration) is set when building view structure so it is
  used in first DS request preventing in this way second one and displaying
  directly the customized grid without need of redrawing it.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
---
(0061212)
hudsonbot (developer)
2013-09-17 19:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test
(0061263)
dbaz (developer)
2013-09-17 20:42

Reviewed @ changeset: 21154 - 8c4c0a929010

- Issue History
Date Modified Username Field Change
2013-09-04 09:59 alostale New Issue
2013-09-04 09:59 alostale Assigned To => alostale
2013-09-04 09:59 alostale Modules => Core
2013-09-04 09:59 alostale Triggers an Emergency Pack => No
2013-09-04 10:02 alostale Proposed Solution updated
2013-09-04 10:02 alostale Review Assigned To => dbaz
2013-09-04 10:02 alostale Tag Attached: Performance
2013-09-04 10:10 alostale Note Added: 0060906
2013-09-04 10:14 hgbot Checkin
2013-09-04 10:14 hgbot Note Added: 0060907
2013-09-04 10:14 hgbot Status new => resolved
2013-09-04 10:14 hgbot Resolution open => fixed
2013-09-04 10:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f497677fd0d957afd9b2c9ee51488a82fdb04667 [^]
2013-09-04 10:21 alostale Relationship added related to 0024686
2013-09-04 10:39 alostale Relationship added related to 0024687
2013-09-17 19:02 hudsonbot Checkin
2013-09-17 19:02 hudsonbot Note Added: 0061212
2013-09-17 20:42 dbaz Note Added: 0061263
2013-09-17 20:42 dbaz Status resolved => closed
2013-09-17 20:42 dbaz Fixed in Version => 3.0MP28
2013-11-05 12:18 dbaz Issue Monitored: dbaz
2013-11-15 09:13 alostale Relationship added related to 0025119
2014-07-22 17:03 alostale Relationship added related to 0027157


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker